import { ScatterBase } from "./ScatterBase";
import { UnknownValuePlotting } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { ScatterFrame } from "./ScatterFrame";
import { SeriesView } from "./SeriesView";
import { ScatterBaseView } from "./ScatterBaseView";
/**
 * @hidden
 */
export declare class ScatterLineSeries extends ScatterBase {
    static $t: Type;
    protected get_ex(): boolean;
    constructor();
    protected cg(): SeriesView;
    protected wp(): boolean;
    protected ip(): number;
    f4(a: Point, b: boolean): boolean;
    private zf;
    x6(a: ScatterFrame, b: ScatterBaseView): void;
    private zm;
    protected get_wj(): boolean;
    yh(a: ScatterFrame, b: ScatterBaseView): void;
    private zk;
    private zg;
    private zj;
    ze: UnknownValuePlotting;
    protected o8(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
